libnvme(2)

NAME
struct nbft_info_host - Host Descriptor

SYNOPSIS
struct nbft_info_host {
unsigned char *id;
char *nqn;
bool host_id_configured;
bool host_nqn_configured;
enum nbft_info_primary_admin_host_flag primary;
};

Members

id  Host ID (raw UUID, length = 16 bytes).

nqn Host NQN.

host_id_configured
    HostID Configured Flag: value of True indicates that id contains administratively-configured value, or driver default value if False.

host_nqn_configured
    Host NQN Configured Flag: value of True indicates that nqn contains administratively-configured value, or driver default value if False.

primary
    Primary Administrative Host Descriptor, see enum nbft_info_primary_admin_host_flag.